.catalog {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 50px;

    height: 920px;
    width: 100vw;

    z-index: 100;
}   

.catalog-title {
    text-align: center;
    font-family: 'Smeshariki';
    font-size: 64px;

    background: var(--orange-gradient-0);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;

    line-height: 60px;
    margin: 0 auto;
}

.catalog-content {
    display: flex;
    justify-content: center;
}

.catalog-card {
    display: flex;
    flex-direction: column;
    gap: 12px;

    width: 300px;
}

.catalog-card-img {
    height: 430px;
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.catalog-card-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
}


.catalog-card-content-text {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.catalog-card-content-text-title {
    font-size: 20px;
    font-weight: 500;
}

.catalog-card-content-text-description {
    max-width: 300px;
}

@media (max-width: 820px) {
    .catalog-title {
        font-size: 40px;
        max-width: 600px;
        line-height: 46px;
    }
}

@media (max-width: 450px) { 
    .catalog-card {
        display: flex;
        flex-direction: column;
        gap: 12px;

        width: 250px;
        height: 250px;
    }

    .catalog {
        height: 700px;
    }  
}


/* Swiper */
.catalog-swiper {
    padding: 20px 40px 40px;
    position: relative;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    box-sizing: border-box;
}

.catalog-swiper .swiper-slide {
    display: flex;
    justify-content: center;
    height: auto;
}

.catalog-swiper .catalog-card {
    width: 100%;
    max-width: 300px;
    height: auto !important;
}

.catalog-swiper-btn {
    color: #ffffff !important;
    --swiper-navigation-size: 24px;
    z-index: 10;
    background-color: var(--orange-0);
    width: 50px !important;
    height: 50px !important;
    border-radius: 30px !important;
    border: 2px solid var(--violet-0);
}

.swiper-button-prev,
.swiper-button-next {
    top: 70%;
    transform: translateY(-70%);
}


@media (min-width: 450px) and (max-width: 1199px) {
    .catalog-swiper .swiper-button-prev,
    .catalog-swiper .swiper-button-next {
        top: 50%;
        transform: translateY(-50%);
        width: 50px !important;
        height: 50px !important;
    }

    .catalog-swiper .swiper-button-prev {
        left: calc(50% - 210px) !important;
        right: auto !important;
    }

    .catalog-swiper .swiper-button-next {
        right: calc(50% - 210px) !important;
        left: auto !important;
    }
}

@media (max-width: 449px) {
    .catalog-swiper .swiper-button-prev,
    .catalog-swiper .swiper-button-next {
        top: 50%;
        transform: translateY(-50%);
        width: 50px !important;
        height: 50px !important;
        
        --swiper-navigation-size: 20px;
        width: 40px !important;
        height: 40px !important;
    }

    .catalog-swiper .swiper-button-prev {
        left: calc(50% - 173px + 20px) !important;
        right: auto !important;
    }

    .catalog-swiper .swiper-button-next {
        right: calc(50% - 173px + 20px) !important;
        left: auto !important;
    }

     .catalog-swiper .catalog-card {
        max-width: 250px !important;
        width: 100% !important;
    }
    
    .catalog-swiper .catalog-card-img {
        height: 360px !important; 
    }
}